Subject: bug#25051: 26.0.50; Table contents are doubled in eww

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 29 Nov 2016 19:21:22 +0900

On Tue, 29 Nov 2016 18:24:37 +0900, Katsumi Yamaoka wrote:
> On Mon, 28 Nov 2016 16:12:13 +0100, Lars Ingebrigtsen wrote:
>> Starting perhaps a week ago, some table-heavy web pages like

>> https://news.ycombinator.com/item?id=13052127

>> have repeated content: First the table is rendered, then all the
>> elements are repeated afterwards.  I suspect this may be related to the
>> work done to not render non-TD elements over the past few weeks, but I
>> haven't investigated.

> The culprit must be me.  I'll fix it asap.

I think I've fixed it in shr.el.  Could you try it?